Bug 1364 - There are some of problems with ppp-related scripts in initscripts-3.78
There are some of problems with ppp-related scripts in initscripts-3.78
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-02-27 14:12 EST by eh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-02 17:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description eh 1999-02-27 14:12:42 EST
1) script "/etc/sysconfig/network-scripts/ifup-ppp" cleans
out the file "var/run/ppp-$DEVICE.dev" and then runs pppd,
supposing that it will write something to that file. And the
script "/etc/sysconfig/network-scripts/ifdown-ppp" on the
line "file=/var/run/`cat /var/run/ppp-$DEVICE.dev`.pid"
supposes that there is the device name (e.g. "ppp0"). The
problem is that pppd (version 2.3.3 and 2.3.5) doesn't write
there anything, so ifdown can't find the PID and kill pppd.

2) when shutting down a ppp device by ifdown (no matter it
doesn't work), ifdown executes ifdown-ppp and then
ifdown-post. But ifdown-post is execute by ifdown-ppp and
even  by /etc/ppp/ip-down when pppd is killed. I think it
should only be executed by ifdown.
Comment 1 eh 1999-02-27 14:50:59 EST
Oops! I just downloaded the official package and found out that the
package I used before was a bit modified (the file "/etc/ppp/ip-up"
was missing). So the first bug is fixed in the current release of me
But the second one still seems to be there - the if*-post scripts are
still called several times (from /etc/ppp/ip-*,
/etc/sysconfig/network-scripts/if[up|down] and ifdown-ppp.
Comment 2 David Lawrence 1999-03-02 17:32:59 EST
Unable to replicate this problem with the latest initscripst for 5.2.

Note You need to log in before you can comment on or make changes to this bug.